#include "itemizeelement.h"


ItemizeElement::ItemizeElement(const char *text) : Element(text)
{
    sub_itemize_ = NULL;
}

ItemizeElement::~ItemizeElement()
{
    if (sub_itemize_)  delete sub_itemize_;
}


unsigned int ItemizeElement::getLength()
{
    return text_.pcount();
}

void ItemizeElement::write(ofstream *output,int style)
{
    switch (style) {
      case WEAK:
	*output << "<LI class=\"weak\"><P class=\"weak\">";
	break;

      case NORMAL:
	*output << "<LI><P>";
	break;
    }
    *output << text_.str() << "</P></LI>" << endl;
}
